撤回待生效价格变更
curl --request POST \
--url https://{api}.subotiz.com/api/v1/subscription/{subscription_id}/revoke-price-change \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Request-Id: <request-id>' \
--data '{}'const options = {
method: 'POST',
headers: {
'Request-Id': '<request-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://{api}.subotiz.com/api/v1/subscription/{subscription_id}/revoke-price-change', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{api}.subotiz.com/api/v1/subscription/{subscription_id}/revoke-price-change"
payload = {}
headers = {
"Request-Id": "<request-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"code": "<string>",
"message": "<string>",
"data": {
"subscription_id": "<string>",
"result": "<string>"
}
}{
"code": "system_error",
"message": "Internal server error."
}订阅
撤回待生效价格变更
撤回通过 effective_type=end_of_period 安排、尚未到下一计费周期生效的价格变更;已立即生效的变更无法撤回
POST
/
api
/
v1
/
subscription
/
{subscription_id}
/
revoke-price-change
撤回待生效价格变更
撤回通过 effective_type=end_of_period 安排、尚未到下一计费周期生效的价格变更;已立即生效的变更无法撤回
授权
Bearer API Key 鉴权。格式:Authorization: Bearer {your_api_key}
请求头
请求的唯一标识符
路径参数
订阅 ID
请求体
application/json
撤回「尚未生效的周期末价格变更」请求 仅适用于通过 effective_type=end_of_period 安排、在下一计费周期才生效的变更, 已立即生效的价格变更无法通过此接口撤回。
此页面对您有帮助吗?
⌘I